Subject: Re: error while cloning a remote repository

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 13 Nov 2009 07:10:24 -0800

Shameem Ahamed <[email-masked]> wrote:
> I ran in to a warning message while cloning a remote repository.
...
> warning: remote HEAD refers to nonexistent ref, unable to checkout.
> 

Contact the repository owner and let them know.  The error occurs because
their HEAD symbolic reference points to a branch that does not exist.  They
can fix this by running `git symbolic-ref HEAD refs/heads/$branch` to point
at the correct default branch for their repository.

> After the cloning i couldn't see any remote files. The .git folder
> is created successfully.

I think you may be able to do:

  $ git branch -r
  $ git reset --hard $branch

where $branch is one of the origin/ names printed by branch -r.
Because the source repository didn't tell us what default branch name
you should use (it has a bad HEAD) I can't suggest what name, you'll
have to figure it out on your own, or ask the repository owner.

-- 
Shawn.